{% extends 'base.html.twig' %}

{% block title %}Vinyle{% endblock %}

{% block body %}
    <section id="catalogue_common" class="container-fluid">
        <section class="container">
            <header class="row">
                <div class="col-12">
                    <h1 class="titre-catalogue">Vinyle</h1>
                </div>
            </header>
            <div class="row">
                <div class="col-12"> 
                    <table class="table" >
                        <thead>       
                            <tr>
                                <th colspan="6">Pochette</th>     
                            </tr>
                        </thead>
                        <tbody>
                                <tr>                                   
                                    <td data-label="pochette" colspan="6"><img class="mobile" src="{{vich_uploader_asset(vinyle,'imageFile') }}"/></td> 
                                    
                                </tr>
                        </tbody>        
                        <thead>    
                                <tr>
                                    <th>Id</th>
                                    <th>Titre</th>                                   
                                    <th>Interprète</th> 
                                    <th>Genres</th>
                                    <th>Disponible</th>
                                    <th>Reservé </th>                            
                                </tr> 
                        </thead>
                        <tbody>       
                                <tr>
                                    <td data-label="Id">{{ vinyle.id }}</td>
                                    <td data-label="Titre">{{ vinyle.title }}</td>                                    
                                    <td data-label="Interprètre">{{ vinyle.interpreter }}</td>
                                    <td data-label="Genres">{{ vinyle.VinyleGenre }}</td>
                                    <td data-label="Disponibilité">{{ vinyle.avaibility ? 'Disponible' : 'Emprunté' }}</td>
                                    <td data-label="Reservation"> 
                                        <a href="{{ path('vinyle_selection', {'id': vinyle.id, 'user':'vivi73'}) }}">Réserver</a>
                                    </td>                                                                
                                </tr>
                                <tr>
                                    <td> Titre chansons </td>                                     
                                </tr> 
                                <tr>
                                    <td data-label="Titre chansons">{{ vinyle.AudioTracks|raw }}</td>
                                </tr>
                        </tbody>
                    </table>                   
                    <a href="{{ path('catalogue') }}">Retour liste</a>
                </div>
            </div>
        </section>
    </section>  
{% endblock %}
